EM FHEquiv: Difference between revisions

From FreeCAD Documentation
(Initial creation - work in progress)
 
No edit summary
 
(21 intermediate revisions by 7 users not shown)
Line 1: Line 1:
<languages/>
<translate>

<!--T:20-->
{{Docnav
|[[EM_FHPlaneAddRemoveNodeHole|FHPlaneAddRemoveNodeHole]]
|[[EM_FHPort|FHPort]]
|[[EM_Workbench|EM]]
|IconL=EM_FHPlaneAddRemoveNodeHole.svg
|IconR=EM_FHPort.svg
|IconC=EMWorkbench.svg
}}

<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=EM FHEquiv
|Name=EM FHEquiv
|MenuLocation=EM → FHEquiv
|MenuLocation=EM → FHEquiv
|Workbenches=[[EM Workbench|EM]]
|Workbenches=[[EM_Workbench|EM]]
|Shortcut=E E
|Shortcut={{KEY|E}} {{KEY|E}}
|Version=0.17
|SeeAlso=[[EM_FHNode|EM FHNode]], [[EM_FHSegment|EM FHSegment]], [[EM_FHPath|EM FHPath]], [[EM_FHPlane|EM FHPlane]], [[EM_FHPort|EM FHPort]],
|SeeAlso=[[EM_FHNode|EM FHNode]], [[EM_FHSegment|EM FHSegment]], [[EM_FHPath|EM FHPath]], [[EM_FHPlane|EM FHPlane]], [[EM_FHPort|EM FHPort]]
|Version=0.17 (Add-on)
}}
}}


==Description==
==Description== <!--T:2-->


<!--T:3-->
The FHEquiv tool short-circuits two FHNode objects.
The FHEquiv tool short-circuits two FHNode objects.


</translate>
[[Image:EM_FHEquiv_Example.png]]
[[Image:EM_FHEquiv_Example.png]]
<translate>


<!--T:4-->
{{Caption|FastHenry FHEquiv}}
{{Caption|FastHenry FHEquiv}}


==Usage== <!--T:5-->
==How to use==


<!--T:6-->
The FHSegment object can be based on the position of a [[Draft_Line|Draft Line]] object, or on two existing FHNodes that will be the FHSegment end points, or you can select the 3D location of the two end points, where two additional FHNodes will be created.
The FHEquiv object is based on the two existing FHNodes that it will short-circuit.


<!--T:7-->
# Press the {{Button|[[Image:EM_FHSegment.svg|16px]] [[EM_FHSegment|EM FHSegment]]}} button, or press {{KEY|E}} then {{KEY|S}} keys.
# Select two [[Image:EM_FHNode.svg|16px]] [[EM_FHNode|FHNode]] objects
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Press the {{Button|[[Image:EM_FHEquiv.svg|16px]] [[EM_FHEquiv|EM FHEquiv]]}} button, or press {{KEY|E}} then {{KEY|E}} keys.


===Remarks=== <!--T:8-->
Alternatively, you can also:


<!--T:9-->
# Select two [[EM_FHNode|FHNode]] objects
* If you need to short-circuit multiple nodes, just create multiple FHEquiv nodes. You don't need a full mesh of FHEquiv nodes, as of course if node1 is shorted with node2, and node2 is shorted with node3, also node1 will result shorted with node3.
# Press the {{Button|[[Image:EM_FHSegment.svg|16px]] [[EM_FHSegment|EM FHSegment]]}} button, or press {{KEY|E}} then {{KEY|S}} keys.


==Properties== <!--T:10-->
Or:


<!--T:11-->
# Select one or multiple [[Draft_Line|Draft Line]] object(s)
* {{PropertyData|Node1}}: the first [[EM_FHNode|FHNode]] to short-circuit
# Press the {{Button|[[Image:EM_FHSegment.svg|16px]] [[EM_FHSegment|EM FHSegment]]}} button, or press {{KEY|E}} then {{KEY|S}} keys. As many FHSegment objects will be created as the Draft Line objects.
* {{PropertyData|Node2}}: the second [[EM_FHNode|FHNode]] to short-circuit


==Scripting== <!--T:12-->
===Remarks:===


<!--T:13-->
* If you create a FHSegment object based on a Draft Line object, you can NOT freely move the FHSegment or the end point FHNodes. The FHSegment will always be constrained to the base object. To change the position of the FHSegment, or of its end point, apply the change to the underlying Draft Line object (the base object is hidden by default, you can show it again by selecting the object in the tree and pressing {{KEY|Space}}.
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:14-->
* If the FHSegment object has no base object {{incode|baseobj}}, its position is controlled by the starting and ending FHNodes. You cannot change a FHSegment position by changing its Placement.
The FHEquiv object can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

==Options==

* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button when you have the desired values to insert the point.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.

==Properties==

* {{PropertyData|Base}}: The base object this component is built upon (a [[Draft_Line|Draft Line]])
* {{PropertyData|NodeStart}}: the starting [[EM_FHNode|FHNode]]
* {{PropertyData|NodeEnd}}: the ending [[EM_FHNode|FHNode]]
* {{PropertyData|Width}}: the FHSegment width ('w' segment parameter in FastHenry)
* {{PropertyData|Height}}: the FHSegment height ('h' segment parameter in FastHenry)
* {{PropertyData|Sigma}}: the FHSegment conductivity ('sigma' segment parameter in FastHenry)
* {{PropertyData|ww}}: the FHSegment cross-section direction along the width ('wx', 'wy', 'wz' segment parameter in FastHenry)
* {{PropertyData|nhinc}}: the Number of filaments in the height direction ('nhinc' segment parameter in FastHenry)
* {{PropertyData|nwinc}}: the Number of filaments in the width direction ('nwinc' segment parameter in FastHenry)
* {{PropertyData|rh}}: the ratio of adjacent filaments in the height direction ('rh' segment parameter in FastHenry)
* {{PropertyData|rw}}: the ratio of adjacent filaments in the width direction ('rw' segment parameter in FastHenry)

==Scripting==

{{Emphasis|See also:}} [[FreeCAD Scripting Basics]].

The FHSegment object can be used in [[macros]] and from the [[Python]] console by using the following function:


</translate>
{{Code|code=
{{Code|code=
segment = makeFHSegment(baseobj=None, nodeStart=None, nodeEnd=None, width=None, height=None, name='FHSegment')
equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
}}
}}
<translate>


<!--T:15-->
* Creates a {{incode|FHSegment}} object.
* Creates a {{incode|FHEquiv}} object.
* {{incode|baseobj}} is the Draft Line object that can be used as base for the FHSegment. If {{incode|nodeStart}} and {{incode|nodeEnd}} are specified, they have priority over the {{incode|baseobj}}, and {{incode|baseobj}} is ignored.
* {{incode|nodeStart}} is the segment starting node [[EM_FHNode|FHNode]] object.
* {{incode|node1}} is the first node [[EM_FHNode|FHNode]] object to short-circuit.
* {{incode|nodeEnd}} is the segment ending node [[EM_FHNode|FHNode]] object.
* {{incode|node2}} is the second node [[EM_FHNode|FHNode]] object to short-circuit.
* {{incode|width}} is the segment width. Defaults to {{incode|EMFHSEGMENT_DEF_SEGWIDTH}}.
* {{incode|height}} is the segment height. Defaults to {{incode|EMFHSEGMENT_DEF_SEGHEIGHT}}.
* {{incode|name}} is the name of the object
* {{incode|name}} is the name of the object


<!--T:16-->
Example:
Example:


</translate>
{{Code|code=
{{Code|code=
import FreeCAD, EM
import FreeCAD, EM
Line 85: Line 84:
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)


fhsegment = EM.makeFHSegment(nodeStart=fhnode1, nodeEnd=fhnode2)
fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)
}}


<translate>
<!--T:21-->
{{Docnav
|[[EM_FHPlaneAddRemoveNodeHole|FHPlaneAddRemoveNodeHole]]
|[[EM_FHPort|FHPort]]
|[[EM_Workbench|EM]]
|IconL=EM_FHPlaneAddRemoveNodeHole.svg
|IconR=EM_FHPort.svg
|IconC=EMWorkbench.svg
}}
}}
</translate>


{{EM Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:23, 21 November 2021

Other languages:

EM FHEquiv

Menu location
EM → FHEquiv
Workbenches
EM
Default shortcut
E E
Introduced in version
0.17
See also
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHPort

Description

The FHEquiv tool short-circuits two FHNode objects.

FastHenry FHEquiv

Usage

The FHEquiv object is based on the two existing FHNodes that it will short-circuit.

  1. Select two FHNode objects
  2. Press the EM FHEquiv button, or press E then E keys.

Remarks

  • If you need to short-circuit multiple nodes, just create multiple FHEquiv nodes. You don't need a full mesh of FHEquiv nodes, as of course if node1 is shorted with node2, and node2 is shorted with node3, also node1 will result shorted with node3.

Properties

  • DataNode1: the first FHNode to short-circuit
  • DataNode2: the second FHNode to short-circuit

Scripting

See also: FreeCAD Scripting Basics.

The FHEquiv object can be used in macros and from the Python console by using the following function:

equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
  • Creates a FHEquiv object.
  • node1 is the first node FHNode object to short-circuit.
  • node2 is the second node FHNode object to short-circuit.
  • name is the name of the object

Example:

import FreeCAD, EM

fhnode1 = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)